Subject: Re: git-send-email: Skipping - not found.

From: Timur Tabi <[email-masked]>
Date: Tue, 29 Apr 2008 15:09:35 -0500

Jeff King wrote:

>> git-send-email  --from Timur Tabi <[email-masked]> --suppress-cc=all --to
>> [email-masked] --smtp-server remotesmtp.freescale.net
>> 0001--PATCH-Update-CS4270-driver-to-ASoC-V2.patch
> 
> Surely that is not the command you issued, since it lacks shell quoting
> around your name and email address.

You're right.  It's the output from an "echo" command in a shell script, which
likes to remove quotation marks.  I keep forgetting that it does that.

> Yes, that is what is producing the error message. But that is the first
> time we ever look at @ARGV, let alone modify it. So the error is almost
> certainly caused by a blank argument being passed on the command line.

Right again!  I did a more through check of the command-line arguments, and I am
sending '' as one argument on the command line.

I just rewrote my script so that it doesn't ever send a null argument.  Thanks
for the help.

-- 
Timur Tabi
Linux kernel developer at Freescale